# List all ticket states

You can get a list of all ticket states for a workspace.

Endpoint: GET /ticket_states
Version: 2.16
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string)
    String representing the object's type. Always has the value `list`.
    Example: list

  - `data` (array)
    A list of ticket states associated with a given ticket type.

  - `data.type` (string)
    String representing the object's type. Always has the value `ticket_state`.
    Example: ticket_state

  - `data.id` (string)
    The id of the ticket state
    Example: 12

  - `data.category` (string)
    The category of the ticket state
    Enum: "submitted", "in_progress", "waiting_on_customer", "resolved"

  - `data.internal_label` (string)
    The state the ticket is currently in, in a human readable form - visible in Intercom
    Example: With Dev Team

  - `data.external_label` (string)
    The state the ticket is currently in, in a human readable form - visible to customers, in the messenger, email and tickets portal.
    Example: In Progress

  - `data.archived` (boolean)
    Whether the ticket state is archived
    Example: false

  - `data.ticket_types` (object)
    A list of ticket types associated with a given ticket state.

  - `data.ticket_types.type` (string)
    String representing the object's type. Always has the value `list`.
    Example: list

  - `data.ticket_types.data` (array)
    A list of ticket type attributes associated with a given ticket type.

  - `data.ticket_types.data.type` (string)
    String representing the object's type. Always has the value `ticket_type`.
    Example: ticket_type

  - `data.ticket_types.data.id` (string)
    The id representing the ticket type.
    Example: 1295

  - `data.ticket_types.data.category` (string)
    Category of the Ticket Type.
    Enum: "Customer", "Back-office", "Tracker"

  - `data.ticket_types.data.name` (string)
    The name of the ticket type
    Example: Bug

  - `data.ticket_types.data.description` (string)
    The description of the ticket type
    Example: A bug that has been reported.

  - `data.ticket_types.data.icon` (string)
    The icon of the ticket type
    Example: 🐞

  - `data.ticket_types.data.workspace_id` (string)
    The id of the workspace that the ticket type belongs to.
    Example: ecahpwf5

  - `data.ticket_types.data.ticket_type_attributes` (object)
    A list of attributes associated with a given ticket type.

  - `data.ticket_types.data.ticket_type_attributes.type` (string)
    String representing the object's type. Always has the value `ticket_type_attributes.list`.

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes` (array)
    A list of ticket type attributes associated with a given ticket type.

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.type` (string)
    String representing the object's type. Always has the value `ticket_type_attribute`.
    Example: ticket_type_attribute

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.id` (string)
    The id representing the ticket type attribute.
    Example: 1

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.workspace_id` (string)
    The id of the workspace that the ticket type attribute belongs to.
    Example: ecahpwf5

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.name` (string)
    The name of the ticket type attribute
    Example: Title

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.description` (string)
    The description of the ticket type attribute
    Example: Bug title.

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.data_type` (string)
    The type of the data attribute (allowed values: "string list integer decimal boolean datetime files")
    Example: string

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.input_options` (object)
    Input options for the attribute
    Example: multiline: true

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.order` (integer)
    The order of the attribute against other attributes
    Example: 1

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.required_to_create` (boolean)
    Whether the attribute is required or not for teammates.
    Example: false

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.required_to_create_for_contacts` (boolean)
    Whether the attribute is required or not for contacts.
    Example: false

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.visible_on_create` (boolean)
    Whether the attribute is visible or not to teammates.
    Example: false

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.visible_to_contacts` (boolean)
    Whether the attribute is visible or not to contacts.
    Example: false

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.default` (boolean)
    Whether the attribute is built in or not.
    Example: true

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.ticket_type_id` (integer)
    The id of the ticket type that the attribute belongs to.
    Example: 42

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.archived` (boolean)
    Whether the ticket type attribute is archived or not.
    Example: false

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.created_at` (integer)
    The date and time the ticket type attribute was created.

  - `data.ticket_types.data.ticket_type_attributes.ticket_type_attributes.updated_at` (integer)
    The date and time the ticket type attribute was last updated.

  - `data.ticket_types.data.ticket_states` (object)
    A list of ticket states associated with a given ticket type.

  - `data.ticket_types.data.ticket_states.type` (string)
    String representing the object's type. Always has the value `list`.
    Example: list

  - `data.ticket_types.data.ticket_states.data` (array)
    A list of ticket states associated with a given ticket type.

  - `data.ticket_types.data.ticket_states.data.type` (string)
    String representing the object's type. Always has the value `ticket_state`.
    Example: ticket_state

  - `data.ticket_types.data.ticket_states.data.id` (string)
    The id of the ticket state
    Example: 12

  - `data.ticket_types.data.ticket_states.data.category` (string)
    The category of the ticket state
    Enum: "submitted", "in_progress", "waiting_on_customer", "resolved"

  - `data.ticket_types.data.ticket_states.data.internal_label` (string)
    The state the ticket is currently in, in a human readable form - visible in Intercom
    Example: With Dev Team

  - `data.ticket_types.data.ticket_states.data.external_label` (string)
    The state the ticket is currently in, in a human readable form - visible to customers, in the messenger, email and tickets portal.
    Example: In Progress

  - `data.ticket_types.data.archived` (boolean)
    Whether the ticket type is archived or not.
    Example: false

  - `data.ticket_types.data.created_at` (integer)
    The date and time the ticket type was created.

  - `data.ticket_types.data.updated_at` (integer)
    The date and time the ticket type was last updated.

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

